Skip to main content
PATCH
Python

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

slug
string
required

The domain name.

Example:

"acme.com"

Body

application/json
slug
string

Name of the domain.

Required string length: 1 - 190
Example:

"acme.com"

expiredUrl
string | null

Redirect users to a specific URL when any link under this domain has expired.

Maximum string length: 32000
Example:

"https://acme.com/expired"

notFoundUrl
string | null

Redirect users to a specific URL when a link under this domain doesn't exist.

Maximum string length: 32000
Example:

"https://acme.com/not-found"

archived
boolean
default:false

Whether to archive this domain. false will unarchive a previously archived domain.

Example:

false

placeholder
string | null

Provide context to your teammates in the link creation modal by showing them an example of a link to be shortened.

Maximum string length: 100
Example:

"https://dub.co/help/article/dub-links"

logo

The logo of the domain.

Pattern: ^data:image\/(png|jpeg|jpg|gif|webp);base64,

assetLinks.json configuration file (for deep link support on Android).

appleAppSiteAssociation
string | null

apple-app-site-association configuration file (for deep link support on iOS).

Response

The domain was updated.

id
string
required

The unique identifier of the domain.

slug
string
required

The domain name.

Example:

"acme.com"

verified
boolean
default:false
required

Whether the domain is verified.

primary
boolean
default:false
required

Whether the domain is the primary domain for the workspace.

archived
boolean
default:false
required

Whether the domain is archived.

placeholder
string | null
required

Provide context to your teammates in the link creation modal by showing them an example of a link to be shortened.

Example:

"https://dub.co/help/article/dub-links"

expiredUrl
string | null
required

The URL to redirect to when a link under this domain has expired.

Example:

"https://acme.com/expired"

notFoundUrl
string | null
required

The URL to redirect to when a link under this domain doesn't exist.

Example:

"https://acme.com/not-found"

logo
string | null
required

The logo of the domain.

assetLinks.json configuration file (for deep link support on Android).

appleAppSiteAssociation
string | null
required

apple-app-site-association configuration file (for deep link support on iOS).

createdAt
string
required

The date the domain was created.

updatedAt
string
required

The date the domain was last updated.

registeredDomain
object | null
required

The registered domain record.